--- title: "Obtener todos los Crons" url: https://docs.catalyst.zoho.com/es/api/code-reference/job-scheduling/cron/get-all-cron/ description: "Esta API te permite recuperar los detalles de todos los Crons predefinidos presentes en el proyecto." last_updated: 2026-03-20T16:21:56Z service: Job Scheduling type: api --- # Obtener todos los Crons ### Descripción Esta API te permite recuperar los detalles de todos los Crons predefinidos presentes en el proyecto. > **Nota:** Esta API solo es aplicable para [Crons predefinidos](https://docs.catalyst.zoho.com/es/job-scheduling/help/implementation/submit-job-predefined-cron/). ### Detalles de la solicitud #### URL de solicitud `GET` {app_domain}/baas/v1/project/{project_id}/job_scheduling/cron - **project_id** (Numerical): El [ID único](https://docs.catalyst.zoho.com/es/getting-started/set-up-a-catalyst-project/general-settings/) del proyecto - **cron_name** (String): El nombre del cron #### Encabezados de solicitud **Authorization:** Zoho-oauthtoken {oauth_token} **Encabezados opcionales** **CATALYST-ORG:** {org_id} **Environment:** Development #### Alcance ZohoCatalyst.cron.READ ### Detalles de la respuesta La respuesta JSON devuelve los metadatos de todos los crons presentes en el proyecto. La respuesta también contendrá los detalles del usuario que creó y modificó por última vez el cron. **Sample Request** ```bash curl -X GET https://api.catalyst.zoho.com/baas/v1/project/10278000000019013/job_scheduling/cron -H "Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57" ``` **Sample Response** ```json { "status": "success", "data": [ { "cron_name": "circuitCron", "cron_type": "Calendar", "cron_execution_type": "pre-defined", "job_meta": { "id": "10108000004280089", "job_name": "j", "job_config": { "number_of_retries": 0 }, "target_type": "Circuit", "target_details": { "id": "10108000004194246", "target_name": "abc" }, "source_type": "Cron", "source_details": { "id": "10108000004280087", "source_name": "circuitCron", "details": { "cron_execution_type": "pre-defined" } }, "jobpool_id": "10108000003823699", "jobpool_details": { "type": "Circuit", "name": "InventoryDataMaintaince", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "created_time": "May 28, 2024 04:49 PM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "May 28, 2024 04:49 PM", "capacity": { "number": "3" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "id": "10108000003823699" }, "headers": {}, "params": { "key1": "value1", "key2": "value2", "key3": "value3" } }, "cron_status": true, "created_time": "Jun 07, 2024 11:09 AM", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "Jun 07, 2024 11:09 AM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "end_time": "1717871399", "cron_detail": { "hour": 4, "minute": 3, "second": 0, "repetition_type": "daily", "timezone": "Asia/Kolkata" }, "success_count": 0, "failure_count": 0, "id": "10108000004280087" }, { "cron_name": "functionCron", "description": "functionCron", "cron_type": "CronExpression", "cron_execution_type": "pre-defined", "cron_expression": "* * * * *", "job_meta": { "id": "10108000004280074", "url": "", "job_name": "functionJob", "job_config": { "number_of_retries": 0 }, "target_type": "Function", "target_details": { "id": "10108000003823893", "target_name": "target_function_fetch" }, "source_type": "Cron", "source_details": { "id": "10108000004280072", "source_name": "functionCron", "details": { "cron_execution_type": "pre-defined" } }, "jobpool_id": "10108000003823563", "jobpool_details": { "type": "Function", "name": "VendorReminder", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "created_time": "May 28, 2024 04:44 PM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "May 28, 2024 04:44 PM", "capacity": { "memory": "2048" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "id": "10108000003823563" }, "headers": {}, "params": { "p1": "v1" } }, "cron_status": true, "created_time": "Jun 07, 2024 11:08 AM", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "Jun 07, 2024 11:08 AM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "end_time": "1718908199", "cron_detail": { "hour": 0, "minute": 0, "second": 0, "timezone": "Asia/Kolkata" }, "success_count": 0, "failure_count": 0, "id": "10108000004280072" }, { "cron_name": "abcUpdated", "cron_type": "OneTime", "cron_execution_type": "pre-defined", "job_meta": { "id": "10108000004153012", "url": "https://www.google.com", "job_name": "j", "job_config": { "number_of_retries": 0 }, "target_type": "Webhook", "target_details": { "target_name": "https://www.google.com" }, "source_type": "Cron", "source_details": { "id": "10108000004152971", "source_name": "abcUpdated", "details": { "cron_execution_type": "pre-defined" } }, "jobpool_id": "10108000003823632", "jobpool_details": { "type": "Webhook", "name": "VendorDataFetch", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "created_time": "May 28, 2024 04:47 PM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "May 28, 2024 04:47 PM", "capacity": { "number": "3" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "id": "10108000003823632" }, "request_method": "get" }, "cron_status": false, "created_time": "Jun 04, 2024 03:56 PM", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "Jun 04, 2024 03:57 PM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "end_time": "-1", "cron_detail": { "time_of_execution": 1717612200, "hour": 0, "minute": 0, "second": 0, "timezone": "Asia/Kolkata" }, "success_count": 0, "failure_count": 0, "id": "10108000004152971" }, { "cron_name": "abcupdate", "description": "abc", "cron_type": "OneTime", "cron_execution_type": "pre-defined", "job_meta": { "id": "10108000004108000", "url": "https://www.google.com", "job_name": "j", "job_config": { "number_of_retries": 0 }, "target_type": "Webhook", "target_details": { "target_name": "https://www.google.com" }, "source_type": "Cron", "source_details": { "id": "10108000004107959", "source_name": "abcupdate", "details": { "cron_execution_type": "pre-defined" } }, "jobpool_id": "10108000003823632", "jobpool_details": { "type": "Webhook", "name": "VendorDataFetch", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "created_time": "May 28, 2024 04:47 PM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "May 28, 2024 04:47 PM", "capacity": { "number": "3" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "id": "10108000003823632" }, "headers": {}, "params": {}, "request_method": "get" }, "cron_status": false, "created_time": "Jun 03, 2024 05:19 PM", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "Jun 03, 2024 05:20 PM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "end_time": "-1", "cron_detail": { "time_of_execution": 1717623183, "hour": 0, "minute": 0, "second": 0, "timezone": "Asia/Kolkata" }, "success_count": 0, "failure_count": 0, "id": "10108000004107959" } ] } ``` ### SDK Documentation [Get All Crons- Java SDK](https://docs.catalyst.zoho.com/es/sdk/java/v1/job-scheduling/cron/get-all-cron-details/) [Get All Crons- Node.js SDK](https://docs.catalyst.zoho.com/es/sdk/nodejs/v2/job-scheduling/cron/get-all-cron-details/) [Get All Crons- Python SDK](https://docs.catalyst.zoho.com/es/sdk/python/v1/job-scheduling/cron/get-all-cron-details/)